Bug 109585 - Web Inspector: highlight undefined word in JavaScript
Summary: Web Inspector: highlight undefined word in JavaScript
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Andrey Lushnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-12 07:37 PST by Andrey Lushnikov
Modified: 2013-02-20 01:46 PST (History)
9 users (show)

See Also:


Attachments
Patch (11.45 KB, patch)
2013-02-12 07:50 PST, Andrey Lushnikov
no flags Details | Formatted Diff | Diff
gray highlight of "undefined" global object value property. (6.18 KB, image/png)
2013-02-19 04:36 PST, Andrey Lushnikov
no flags Details
Patch (8.44 KB, patch)
2013-02-19 04:38 PST, Andrey Lushnikov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Lushnikov 2013-02-12 07:37:26 PST
Highlight "undefined" javascript word (without quotes) in DTE
Comment 1 Andrey Lushnikov 2013-02-12 07:50:43 PST
Created attachment 187867 [details]
Patch
Comment 2 Vsevolod Vlasov 2013-02-12 23:56:05 PST
Comment on attachment 187867 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187867&action=review

> Source/WebCore/inspector/front-end/SourceJavaScriptTokenizer.re2js:176
> +                    if (token === "undefined")

I would rather add something like WebInspector.SourceJavaScriptTokenizer.GlobalObjectProperties and put NaN, Object, String, Number there as well as undefined.
Comment 3 Andrey Lushnikov 2013-02-13 00:12:36 PST
Comment on attachment 187867 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187867&action=review

>> Source/WebCore/inspector/front-end/SourceJavaScriptTokenizer.re2js:176
>> +                    if (token === "undefined")
> 
> I would rather add something like WebInspector.SourceJavaScriptTokenizer.GlobalObjectProperties and put NaN, Object, String, Number there as well as undefined.

Sounds reasonable
Comment 4 Andrey Lushnikov 2013-02-19 04:36:23 PST
Created attachment 189056 [details]
gray highlight of "undefined" global object value property.
Comment 5 Andrey Lushnikov 2013-02-19 04:38:10 PST
Created attachment 189057 [details]
Patch
Comment 6 WebKit Review Bot 2013-02-20 01:46:20 PST
Comment on attachment 189057 [details]
Patch

Clearing flags on attachment: 189057

Committed r143440: <http://trac.webkit.org/changeset/143440>
Comment 7 WebKit Review Bot 2013-02-20 01:46:24 PST
All reviewed patches have been landed.  Closing bug.